<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Introducción a Estilos</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section data-bespoke-state='portada'>
      <h1>Introducción a Estilos</h1>
    </section>

    <section data-bespoke-state='clean'>      
      <h2>Introducción</h2>
      <ul class="lista">
        <li>Distintos navegadores crearon etiquetas de formato</li>
        <li>Necesitas de navegador X para ver esta página</li>
        <li>CSS, Cascading Style Sheets o Hojas de Estilo en Cascada</li>
        <li>Creado por la W3C</li>
        <li>A partir de Html4</li>
      </ul>      
    </section>

    <section data-bespoke-state='clean'>
      <h2>¿Cómo definir una regla?</h2>
      <h3 class="ejemplo"><pre><code><span class="propiedad">propiedad:</span><span class="valor-css">valor;</span></code></pre></h3>
      <ul class="lista">
        <li><span class="propiedad">propiedad:</span> identifica <strong>Qué</strong> característica va a cambiar</li>
        <li><span class="valor-css">valor;</span> identifica <strong>Cómo</strong> cambiará la característica</li>
      </ul>
      <h3>Ejemplo:</h3>
      <div class="columnas-flex pt-05">
        <div>
          <h4>Código:</h4>
          <pre class="m-05"><code><span class="propiedad">color:</span><span class="valor-css">red;</span></code></pre>
        </div>
        <div>
          <h4>Resultado:</h4>
          <p style="color: red;">Ejemplo</p>
        </div>
      </div>
    </section>

    <section data-bespoke-state='clean'>
        <h2>¿Cómo asigno las reglas?</h2>
        <h3>Atributo <span class="atributo">style</span></h3>
        <ul class="lista">
          <li>Sencillo de aplicar</li>
          <li>Dificil de mantener</li>
        </ul>
        <h3 class="pt-05">Ejemplo:</h3>
        <div class="columnas-flex pt-05">
          <div>
            <h4>Código:</h4>
            <pre class="m-05"><code><span class="etiqueta">p <span class="atributo">style</span><span class="valor">="<span class="propiedad">color:</span><span class="valor-css">green;</span>"</span></span></code></pre>
          </div>
          <div>
            <h4>Resultado:</h4>
            <p style="color: green;">Ejemplo</p>
          </div>
        </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2>¿De qué se compone el CSS?</h2>
      <h3 class="ejemplo"><pre><code><span class="selector">selector</span> {<span class="propiedad">propiedad:</span><span class="valor-css">valor;</span>}</code></pre></h3>
      <ul class="lista">
        <li><span class="selector">selector</span> indica a <strong>Quién</strong> se le aplica el estilo</li>
        <li><span class="propiedad">propiedad:</span> identifica <strong>Qué</strong> característica va a cambiar</li>
        <li><span class="valor-css">valor;</span> identifica <strong>Cómo</strong> cambiará la característica</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <pre class="m-05"><code><span class="selector">p</span> {
  <span class="propiedad">color:</span> <span class="valor-css">orange;</span>
}</code></pre>
    </section> 

    <section data-bespoke-state='clean'>
      <h2>¿Cómo asigno el estilo?</h2>
      <h3>Definiendo estilos en la página</h3>
      <ul class="lista">
        <li>Mejor dentro de <span class="etiqueta">head</span></li>
        <li>No permite reutilizar los estilos entre páginas</li>
        <li>No separa contenido de estilos</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <pre class="m-05"><code><span class="etiqueta">style <span class="atributo">type</span><span class="valor">="text/css"</span></span>
  <span class="selector">p</span> {
    <span class="propiedad">color:</span> <span class="valor-css">orange;</span>
  }
<span class="etiqueta">/style</span></code></pre>
    </section>

    <section data-bespoke-state='clean'>
      <h2>¿Cómo asigno el estilo?</h2>
      <h3>Ficheros de estilos enlazados a la página</h3>
      <ul class="lista">
        <li>Mejor enlazar dentro de <span class="etiqueta">head</span></li>
        <li>Permite reutilizar los estilos entre páginas, <a href="https://www.csszengarden.com/">CSS Zen Garden</a></li>
        <li>Se guardan en cache</li>
      </ul>
      <h3 class="pt-05">Ejemplo:</h3>
      <div class="columnas-flex">
        <div>
          <h4>Página: index.html</h4>
          <pre class="m-05"><code><span class="etiqueta">link <span class="atributo">rel</span><span class="valor">="stylesheet"</span> <span class="atributo">href</span><span class="valor">="css/estilo.css"</span></span></code></pre>
        </div>
        <div>
          <h4>Estilo: css/estilo.css</h4>
          <pre class="m-05"><code><span class="selector">p</span> {
<span class="propiedad">color:</span> <span class="valor-css">orange;</span>
}</code></pre>
        </div>
      </div>
    </section>
  </article>
    
  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>